export default DesignComponent;
declare class DesignComponent extends React.PureComponent<any, any, any> {
    static contextType: React.Context<{
        experiments: Record<string, import("wix-rich-content-common").Experiment>;
        isMobile: boolean;
        t?: import("i18next").TranslationFunction<any, object, string> | undefined;
        languageDir?: "rtl" | "ltr" | "auto" | undefined;
    }>;
    constructor(props: any);
    styles: Record<string, string>;
    originalDesign: {
        borderWidth: any;
        borderRadius: any;
        color: any;
        borderColor: any;
        background: any;
    };
    getUserColors: () => {
        actionColor: any;
        bgColor: any;
        textColor: any;
    };
    withColorOptions: (settings: any) => {
        customBackgroundColors: any;
        customTextColors: any;
        customBorderColors: any;
    };
    onBackgroundColorAdded: ({ color }: {
        color: any;
    }) => void;
    onBorderColorAdded: ({ color }: {
        color: any;
    }) => void;
    onTextColorAdded: ({ color }: {
        color: any;
    }) => void;
    onBorderWidthChange: (value: any) => void;
    onBorderRadiusChange: (value: any) => void;
    onTextColorChange: ({ color }: {
        color: any;
    }) => void;
    onBorderColorChange: ({ color }: {
        color: any;
    }) => void;
    onBackgroundColorChange: ({ color }: {
        color: any;
    }) => void;
    onToggled: (pickerType: any) => void;
    renderColorPicker(color: any, userColors: any, onColorAdded: any, onChange: any, pickerType: any, label: any): JSX.Element;
}
declare namespace DesignComponent {
    export namespace propTypes {
        export const theme: PropTypes.Validator<object>;
        export const componentData: PropTypes.Requireable<object>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const designObj: PropTypes.Requireable<object>;
        export const settings: PropTypes.Requireable<object>;
        export const config: PropTypes.Requireable<object>;
        export const onDesignChange: PropTypes.Validator<(...args: any[]) => any>;
        export const getTextColors: PropTypes.Requireable<(...args: any[]) => any>;
        export const getBorderColors: PropTypes.Requireable<(...args: any[]) => any>;
        export const getBackgroundColors: PropTypes.Requireable<(...args: any[]) => any>;
        export const palette: PropTypes.Requireable<(string | null | undefined)[]>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const languageDir: PropTypes.Validator<string>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=design-component.d.ts.map